cdac.medinfo.model

## Class Address

- java.lang.Object
- - cdac.medinfo.model.Address

-     public class Address
      extends java.lang.Object

  This class specify mailing and home or office addresses. A sequence of address parts, such as street or post office Box, city, postal code, country, etc.

  This class has the following attributes:

  1. deliveryInstallationType (String)
  2. census Tract (String)
  3. delivery Installation Qualifier (String)
  4. precinct (String)
  5. house Number Numeric (String)
  6. delivery Mode (String)
  7. delivery Address Line (String)
  8. delivery Installation Area (String)
  9. post Box (String)
  10. direction (String)
  11. postal Code (String)
  13. delimiter (String)
  14. care Of (String)
  15. street Address Line (String)
  16. house Number (String)
  17. street Name Type (String)
  18. street Name Base (String)
  19. state (String)
  20. unit Type (String)
  21. building Number Suffix (String)
  22. county (String)
  23. additional Locator (String)
  24. city (String)
  25. streetName (String)
  26. deliveryModeIdentifier (String)
  27. unitID (String)

  This class provides accessors and mutators for the elements mentioned above.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Address()` Constructs an object of Address.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAdditionalLocator()` Returns the Additional Locator.
    `java.lang.String` | `getBuildingNumberSuffix()` Returns the Building Number Suffix.
    `java.lang.String` | `getCareOf()` Returns the Care Of.
    `java.lang.String` | `getCensusTract()` Returns the Census Tract.
    `java.lang.String` | `getCity()` Returns the City.
    `java.lang.String` | `getCounty()` Returns the County.
    `java.lang.String` | `getDelimiter()` Returns the Delimiter.
    `java.lang.String` | `getDeliveryAddressLine()` Returns the Delivery Address Line.
    `java.lang.String` | `getDeliveryInstallationArea()` Returns the Delivery Installation Area.
    `java.lang.String` | `getDeliveryInstallationQualifier()` Returns the Delivery Installation Qualifier.
    `java.lang.String` | `getDeliveryInstallationType()` Returns the Delivery Installation Type.
    `java.lang.String` | `getDeliveryMode()` Returns the Delivery Mode.
    `java.lang.String` | `getDeliveryModeIdentifier()` Returns the Delivery Mode Identifier.
    `java.lang.String` | `getDirection()` Returns the Direction.
    `java.lang.String` | `getHouseNumber()` Returns the House Number.
    `java.lang.String` | `getHouseNumberNumeric()` Returns the House Number Numeric.
    `java.lang.String` | `getPostalCode()` Returns the Postal Code.
    `java.lang.String` | `getPostBox()` Returns the Post Box
    `java.lang.String` | `getPrecinct()` Returns the Precinct.
    `java.lang.String` | `getState()` Returns the State.
    `java.lang.String` | `getStreetAddressLine()` Returns the Street Address Line.
    `java.lang.String` | `getStreetName()` Returns the Street name.
    `java.lang.String` | `getStreetNameBase()` Return the Street Name Base.
    `java.lang.String` | `getStreetNameType()` Returns the Street Name Type.
    `java.lang.String` | `getUnitID()` Returns the Unit ID .
    `java.lang.String` | `getUnitType()` Returns the Unit Type.
    `void` | `setAdditionalLocator(java.lang.String additionalLocator)` Sets the Additional Locator.
    `void` | `setBuildingNumberSuffix(java.lang.String buildingNumberSuffix)` Sets the Building Number Suffix.
    `void` | `setCareOf(java.lang.String careOf)` Sets the Care Of.
    `void` | `setCensusTract(java.lang.String censusTract)` Sets the Census Tract.
    `void` | `setCity(java.lang.String city)` Sets the City.
    `void` | `setCounty(java.lang.String county)` Sets the County.
    `void` | `setDelimiter(java.lang.String delimiter)` Sets the Delimiter.
    `void` | `setDeliveryAddressLine(java.lang.String deliveryAddressLine)` Sets the Delivery Address Line.
    `void` | `setDeliveryInstallationArea(java.lang.String deliveryInstallationArea)` Sets the Delivery Installation Area.
    `void` | `setDeliveryInstallationQualifier(java.lang.String deliveryInstallationQualifier)` Sets the Delivery Installation Qualifier.
    `void` | `setDeliveryInstallationType(java.lang.String deliveryInstallationType)` Sets the Delivery Installation Type.
    `void` | `setDeliveryMode(java.lang.String deliveryMode)` Sets the Delivery Mode.
    `void` | `setDeliveryModeIdentifier(java.lang.String deliveryModeIdentifier)` returns the Delivery Mode Identifier.
    `void` | `setDirection(java.lang.String direction)` Sets the Direction.
    `void` | `setHouseNumber(java.lang.String houseNumber)` Sets the House Number.
    `void` | `setHouseNumberNumeric(java.lang.String houseNumberNumeric)` Sets the House Number Numeric.
    `void` | `setPostalCode(java.lang.String postalCode)` Sets the Postal Code.
    `void` | `setPostBox(java.lang.String postBox)` Sets the Post Box.
    `void` | `setPrecinct(java.lang.String precinct)` Sets the Precinct.
    `void` | `setState(java.lang.String state)` Sets the State.
    `void` | `setStreetAddressLine(java.lang.String streetAddressLine)` Sets the Street Address Line.
    `void` | `setStreetName(java.lang.String streetName)` Sets the Street Name
    `void` | `setStreetNameBase(java.lang.String streetNameBase)` Sets the Street Name Base.
    `void` | `setStreetNameType(java.lang.String streetNameType)` Sets the Street Name Type.
    `void` | `setUnitID(java.lang.String unitID)` Sets the Unit ID.
    `void` | `setUnitType(java.lang.String unitType)` Sets the Unit Type.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Address

          public Address()

      Constructs an object of Address.

  - ### Method Detail

    - #### getDeliveryInstallationType

          public java.lang.String getDeliveryInstallationType()

      Returns the Delivery Installation Type.
      Returns:
        the deliveryInstallationType

    - #### setDeliveryInstallationType

          public void setDeliveryInstallationType(java.lang.String deliveryInstallationType)

      Sets the Delivery Installation Type.
      Parameters:
        `deliveryInstallationType` - Specifies the type of delivery installation (the facility to which the mail will be delivered prior to final shipping via the delivery mode.) Example: post office, letter carrier depot, community mail center, station, etc.

    - #### getCensusTract

          public java.lang.String getCensusTract()

      Returns the Census Tract.
      Returns:
        the censusTract

    - #### setCensusTract

          public void setCensusTract(java.lang.String censusTract)

      Sets the Census Tract.
      Parameters:
        `censusTract` - Specifies the geographic sub-unit delineated for demographic purposes.

    - #### getDeliveryInstallationQualifier

          public java.lang.String getDeliveryInstallationQualifier()

      Returns the Delivery Installation Qualifier.
      Returns:
        the deliveryInstallationQualifier

    - #### setDeliveryInstallationQualifier

          public void setDeliveryInstallationQualifier(java.lang.String deliveryInstallationQualifier)

      Sets the Delivery Installation Qualifier.
      Parameters:
        `deliveryInstallationQualifier` - Specifies the number, letter or name identifying a delivery installation. E.g., for Station A, the delivery installation qualifier would be 'A'.

    - #### getPrecinct

          public java.lang.String getPrecinct()

      Returns the Precinct.
      Returns:
        the precinct

    - #### setPrecinct

          public void setPrecinct(java.lang.String precinct)

      Sets the Precinct.
      Parameters:
        `precinct` - Specifies the subsection of a municipality

    - #### getHouseNumberNumeric

          public java.lang.String getHouseNumberNumeric()

      Returns the House Number Numeric.
      Returns:
        the houseNumberNumeric

    - #### setHouseNumberNumeric

          public void setHouseNumberNumeric(java.lang.String houseNumberNumeric)

      Sets the House Number Numeric.
      Parameters:
        `houseNumberNumeric` - Specifies the numeric portion of a house or building number

    - #### getDeliveryMode

          public java.lang.String getDeliveryMode()

      Returns the Delivery Mode.
      Returns:
        the deliveryMode

    - #### setDeliveryMode

          public void setDeliveryMode(java.lang.String deliveryMode)

      Sets the Delivery Mode.
      Parameters:
        `deliveryMode` - Specifies the type of service offered, method of delivery. For example: post office box, rural route, general delivery, etc.

    - #### getDeliveryAddressLine

          public java.lang.String getDeliveryAddressLine()

      Returns the Delivery Address Line.
      Returns:
        the deliveryAddressLine

    - #### setDeliveryAddressLine

          public void setDeliveryAddressLine(java.lang.String deliveryAddressLine)

      Sets the Delivery Address Line.
      Parameters:
        `deliveryAddressLine` - Specifies the delivery address line is frequently used instead of breaking out delivery mode, delivery installation, etc. An address generally has only a delivery address line or a street address line, but not both.

    - #### getDeliveryInstallationArea

          public java.lang.String getDeliveryInstallationArea()

      Returns the Delivery Installation Area.
      Returns:
        the deliveryInstallationArea

    - #### setDeliveryInstallationArea

          public void setDeliveryInstallationArea(java.lang.String deliveryInstallationArea)

      Sets the Delivery Installation Area.
      Parameters:
        `deliveryInstallationArea` - Specifies the location of the delivery installation, usually a town or city, and is only required if the area is different from the municipality. Area to which mail delivery service is provided from any postal facility or service such as an individual letter carrier, rural route, or postal route.

    - #### getPostBox

          public java.lang.String getPostBox()

      Returns the Post Box
      Returns:
        the postBox

    - #### setPostBox

          public void setPostBox(java.lang.String postBox)

      Sets the Post Box.
      Parameters:
        `postBox` - Specifies the numbered box located in a post station.

    - #### getDirection

          public java.lang.String getDirection()

      Returns the Direction.
      Returns:
        the direction

    - #### setDirection

          public void setDirection(java.lang.String direction)

      Sets the Direction.
      Parameters:
        `direction` - Specifies the direction (e.g., N, S, W, E)

    - #### getPostalCode

          public java.lang.String getPostalCode()

      Returns the Postal Code.
      Returns:
        the postalCode

    - #### setPostalCode

          public void setPostalCode(java.lang.String postalCode)

      Sets the Postal Code.
      Parameters:
        `postalCode` - Specifies the postal code designating a region defined by the postal service.

    - #### getDelimiter

          public java.lang.String getDelimiter()

      Returns the Delimiter.
      Returns:
        the delimiter

    - #### setDelimiter

          public void setDelimiter(java.lang.String delimiter)

      Sets the Delimiter.
      Parameters:
        `delimiter` - Specifies the delimiters are printed without framing white space. If no value component is provided, the delimiter appears as a line break.

    - #### getCareOf

          public java.lang.String getCareOf()

      Returns the Care Of.
      Returns:
        the careOf

    - #### setCareOf

          public void setCareOf(java.lang.String careOf)

      Sets the Care Of.
      Parameters:
        `careOf` - Specifies the name of the party who will take receipt at the specified address, and will take on responsibility for ensuring delivery to the target recipient

    - #### getStreetAddressLine

          public java.lang.String getStreetAddressLine()

      Returns the Street Address Line.
      Returns:
        the streetAddressLine

    - #### setStreetAddressLine

          public void setStreetAddressLine(java.lang.String streetAddressLine)

      Sets the Street Address Line.
      Parameters:
        `streetAddressLine` - Specifies the street address line in terms of street name, house or building number, direction.

    - #### getHouseNumber

          public java.lang.String getHouseNumber()

      Returns the House Number.
      Returns:
        the houseNumber

    - #### setHouseNumber

          public void setHouseNumber(java.lang.String houseNumber)

      Sets the House Number.
      Parameters:
        `houseNumber` - Specifies the number of a building, house or lot alongside the street. Also known as "primary street number". This does not number the street but rather the building.

    - #### getStreetNameType

          public java.lang.String getStreetNameType()

      Returns the Street Name Type.
      Returns:
        the streetNameType

    - #### setStreetNameType

          public void setStreetNameType(java.lang.String streetNameType)

      Sets the Street Name Type.
      Parameters:
        `streetNameType` - Specifies the designation given to the street. (e.g. Street, Avenue, Crescent, etc.)

    - #### getStreetNameBase

          public java.lang.String getStreetNameBase()

      Return the Street Name Base.
      Returns:
        the streetNameBase

    - #### setStreetNameBase

          public void setStreetNameBase(java.lang.String streetNameBase)

      Sets the Street Name Base.
      Parameters:
        `streetNameBase` - Specifies the base name of a roadway or artery recognized by a municipality (excluding street type and direction)

    - #### getState

          public java.lang.String getState()

      Returns the State.
      Returns:
        the state

    - #### setState

          public void setState(java.lang.String state)

      Sets the State.
      Parameters:
        `state` - Specifies the sub-unit of a country with limited sovereignty in a federally organized country.

    - #### getUnitType

          public java.lang.String getUnitType()

      Returns the Unit Type.
      Returns:
        the unitType

    - #### setUnitType

          public void setUnitType(java.lang.String unitType)

      Sets the Unit Type.
      Parameters:
        `unitType` - Specifies the type of specific unit contained within a building or complex. E.g. Apartment, Floor.

    - #### getBuildingNumberSuffix

          public java.lang.String getBuildingNumberSuffix()

      Returns the Building Number Suffix.
      Returns:
        the buildingNumberSuffix

    - #### setBuildingNumberSuffix

          public void setBuildingNumberSuffix(java.lang.String buildingNumberSuffix)

      Sets the Building Number Suffix.
      Parameters:
        `buildingNumberSuffix` - Specifies any alphabetic character, fraction or other text that may appear after the numeric portion of a building number

    - #### getCounty

          public java.lang.String getCounty()

      Returns the County.
      Returns:
        the county

    - #### setCounty

          public void setCounty(java.lang.String county)

      Sets the County.
      Parameters:
        `county` - Specifies the sub-unit of a state or province.

    - #### getAdditionalLocator

          public java.lang.String getAdditionalLocator()

      Returns the Additional Locator.
      Returns:
        the additionalLocator

    - #### setAdditionalLocator

          public void setAdditionalLocator(java.lang.String additionalLocator)

      Sets the Additional Locator.
      Parameters:
        `additionalLocator` - Specifies the unit designator, such as apartment number, suite number, or floor. There may be several unit designators in an address (e.g., "3rd floor, Appt. 342"). This can also be a designator pointing away from the location, rather than specifying a smaller location within some larger one (e.g., Dutch "t.o." means "opposite to" for house boats located across the street facing houses).

    - #### getCity

          public java.lang.String getCity()

      Returns the City.
      Returns:
        the city

    - #### setCity

          public void setCity(java.lang.String city)

      Sets the City.
      Parameters:
        `city` - Specifies the name of the city, town, village, or other community or delivery center.

    - #### getStreetName

          public java.lang.String getStreetName()

      Returns the Street name.
      Returns:
        the streetName

    - #### setStreetName

          public void setStreetName(java.lang.String streetName)

      Sets the Street Name
      Parameters:
        `streetName` - Specifies the Street Name in terms of street name base and street type.

    - #### getDeliveryModeIdentifier

          public java.lang.String getDeliveryModeIdentifier()

      Returns the Delivery Mode Identifier.
      Returns:
        the deliveryModeIdentifier

    - #### setDeliveryModeIdentifier

          public void setDeliveryModeIdentifier(java.lang.String deliveryModeIdentifier)

      returns the Delivery Mode Identifier.
      Parameters:
        `deliveryModeIdentifier` - Specifies the Represents the routing information such as a letter carrier route number. It is the identifying number of the designator (the box number or rural route number).

    - #### getUnitID

          public java.lang.String getUnitID()

      Returns the Unit ID .
      Returns:
        the unitID

    - #### setUnitID

          public void setUnitID(java.lang.String unitID)

      Sets the Unit ID.
      Parameters:
        `unitID` - Specifies the number or name of a specific unit contained within a building or complex, as assigned by that building or complex.